netpbm security update

2009-02-11T19:31:04
ID CESA-2009:0012
Type centos
Reporter CentOS Project
Modified 2009-02-12T17:53:57

Description

CentOS Errata and Security Advisory CESA-2009:0012

The netpbm package contains a library of functions for editing and converting between various graphics file formats, including .pbm (portable bitmaps), .pgm (portable graymaps), .pnm (portable anymaps), .ppm (portable pixmaps), and others.

An input validation flaw and multiple integer overflows were discovered in the JasPer library providing support for JPEG-2000 image format and used in the jpeg2ktopam and pamtojpeg2k converters. An attacker could create a carefully-crafted JPEG file which could cause jpeg2ktopam to crash or, possibly, execute arbitrary code as the user running jpeg2ktopam. (CVE-2007-2721, CVE-2008-3520)

All users are advised to upgrade to these updated packages which contain backported patches which resolve these issues.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-announce/2009-February/015631.html http://lists.centos.org/pipermail/centos-announce/2009-February/015632.html http://lists.centos.org/pipermail/centos-announce/2009-February/015637.html http://lists.centos.org/pipermail/centos-announce/2009-February/015639.html

Affected packages: netpbm netpbm-devel netpbm-progs

Upstream details at: https://rhn.redhat.com/errata/RHSA-2009-0012.html